module Bloggybak
  class Post < ActiveRecord::Base
    belongs_to :user

    validates_presence_of :title
    validates_presence_of :slug
    validates_presence_of :user_id

    def excerpt(length)
      self.content.gsub(/<\/?[^>]*>/, "")[0..length-1] + '...'
    end
  end
end
