module Bloggybak
  module ActsAsBlogger
    module Base
      def self.included(klass)
        klass.class_eval do
          extend ClassMethods
        end
      end
      
      module ClassMethods
        def acts_as_blogger
          has_many :bloggybak_posts, :foreign_key => "user_id", :class_name => "::Bloggybak::Post"

          include Bloggybak::ActsAsBlogger::Base::InstanceMethods
        end
      end
      
      module InstanceMethods
      end # InstanceMethods      
    end
  end
end

::ActiveRecord::Base.send :include, Bloggybak::ActsAsBlogger::Base
